Get Paragraph
Look up a paragraph using any of three ID formats:
- globalId: “1:2.0.1” (partId:paperId.sectionId.paragraphId)
- standardReferenceId: “2:0.1” (paperId:sectionId.paragraphId)
- paperSectionParagraphId: “2.0.1” (paperId.sectionId.paragraphId)
The format is auto-detected from the reference string.
Response includes a navigation envelope with the previous and next paragraph refs (within the same paper, ordered by sortId). Refs are null at paper boundaries.
Use ?include=entities to include typed entity mentions in the response.
Use ?edition=1955 (or another id from GET /editions) for the text of an older edition; the default is srt-2024. Use ?include=variants for the changes to each paragraph since 1955.
curl --request GET \
--url https://api.urantia.dev/paragraphs/{ref}import requests
url = "https://api.urantia.dev/paragraphs/{ref}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/paragraphs/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/paragraphs/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/paragraphs/{ref}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/paragraphs/{ref}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/paragraphs/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"id": "1:2.5.1",
"standardReferenceId": "2:5.1",
"sortId": "1.002.005.001",
"paperId": "2",
"sectionId": "5",
"partId": "1",
"paperTitle": "The Nature of God",
"sectionTitle": "The Love of God",
"paragraphId": "1",
"text": "“God is love”; therefore his only personal attitude towards the affairs of the universe is always a reaction of divine affection. The Father loves us sufficiently to bestow his life upon us. “He makes his sun to rise on the evil and on the good and sends rain on the just and on the unjust.”",
"htmlText": "<span class=\"urantia-dev-pb-4\">“God is love”; therefore his only personal attitude towards the affairs of the universe is always a reaction of divine affection. The Father loves us sufficiently to bestow his life upon us. “He makes his sun to rise on the evil and on the good and sends rain on the just and on the unjust.”</span>",
"labels": [],
"audio": {
"tts-1-hd": {
"nova": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/nova/tts-1-hd-nova-1:2.5.1.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 18,
"fileSize": 360960
},
"onyx": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/onyx/tts-1-hd-onyx-1:2.5.1.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 18.4,
"fileSize": 367680
}
},
"gpt-4o-mini-tts": {
"cedar": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/cedar/gpt-4o-mini-tts-cedar-1:2.5.1.mp3",
"format": "mp3",
"bitrate": 192,
"duration": 18.1,
"fileSize": 434511
}
}
},
"edition": "srt-2024"
},
"navigation": {
"prev": "2:4.5",
"next": "2:5.2"
},
"meta": {
"edition": {
"id": "srt-2024",
"label": "Standard Reference Text, 2024",
"year": 2024,
"foundationVersion": "1.22",
"versionStamp": "UF-202412132348"
}
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}Query Parameters
Language for translated fields. es gives Spanish text for all 197 papers: an AI translation, released as CC0, with a translation label on each paragraph. Paper, section, and part titles are in Spanish too, and so are the included Papers parallels and entity names; the Bible and the other works, and the topic labels, stay in English. Entity names exist in es only; the other languages give English. Each paragraph has a language field that states the language of its text.
eng, es, fr, pt, de, ko curl --request GET \
--url https://api.urantia.dev/paragraphs/{ref}import requests
url = "https://api.urantia.dev/paragraphs/{ref}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/paragraphs/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/paragraphs/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/paragraphs/{ref}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/paragraphs/{ref}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/paragraphs/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"id": "1:2.5.1",
"standardReferenceId": "2:5.1",
"sortId": "1.002.005.001",
"paperId": "2",
"sectionId": "5",
"partId": "1",
"paperTitle": "The Nature of God",
"sectionTitle": "The Love of God",
"paragraphId": "1",
"text": "“God is love”; therefore his only personal attitude towards the affairs of the universe is always a reaction of divine affection. The Father loves us sufficiently to bestow his life upon us. “He makes his sun to rise on the evil and on the good and sends rain on the just and on the unjust.”",
"htmlText": "<span class=\"urantia-dev-pb-4\">“God is love”; therefore his only personal attitude towards the affairs of the universe is always a reaction of divine affection. The Father loves us sufficiently to bestow his life upon us. “He makes his sun to rise on the evil and on the good and sends rain on the just and on the unjust.”</span>",
"labels": [],
"audio": {
"tts-1-hd": {
"nova": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/nova/tts-1-hd-nova-1:2.5.1.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 18,
"fileSize": 360960
},
"onyx": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/onyx/tts-1-hd-onyx-1:2.5.1.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 18.4,
"fileSize": 367680
}
},
"gpt-4o-mini-tts": {
"cedar": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/cedar/gpt-4o-mini-tts-cedar-1:2.5.1.mp3",
"format": "mp3",
"bitrate": 192,
"duration": 18.1,
"fileSize": 434511
}
}
},
"edition": "srt-2024"
},
"navigation": {
"prev": "2:4.5",
"next": "2:5.2"
},
"meta": {
"edition": {
"id": "srt-2024",
"label": "Standard Reference Text, 2024",
"year": 2024,
"foundationVersion": "1.22",
"versionStamp": "UF-202412132348"
}
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}
